Login | Register
My pages Projects Community openCollabNet

Discussions > commits > svn commit: r2433 - branches/fsvs-1.2.x/fsvs/tests/034_status

fsvs
Discussion topic

Back to topic list

svn commit: r2433 - branches/fsvs-1.2.x/fsvs/tests/034_status

Author tekknokrat
Full name Gunnar Thielebein
Date 2010-03-09 17:24:47 PST
Message Author: tekknokrat
Date: 2010-03-09 17:24:46-0800
New Revision: 2433

Modified:
   branches/fsvs-1.2.x/​fsvs/tests/034_statu​s

Log:
test for dir_exclude_mtime option

Modified: branches/fsvs-1.2.x/​fsvs/tests/034_statu​s
Url: http://fsvs.tigris.o​rg/source/browse/fsv​s/branches/fsvs-1.2.​x/fsvs/tests/034_sta​tus?view=diff&pa​threv=2433&r1=24​32&r2=2433
====================​====================​====================​==================
--- branches/fsvs-1.2.x/​fsvs/tests/034_statu​s (original)
+++ branches/fsvs-1.2.x/​fsvs/tests/034_statu​s 2010-03-09 17:24:46-0800
@@ -123,6 +123,35 @@
 # set as known state.
 $BINq ci -m 2 -o delay=yes
 
+$INFO "Testing dir_exclude_mtime"
+
+mkdir -p test1
+$BINdflt ci -m 3
+# wait some time after checkin
+sleep 2
+# change mtime of parent folder
+touch test1/test2
+# remove fake temp. file
+rm test1/test2
+# test option
+$BINdflt st -odir_exclude_mtime=true > $logfile
+
+if [[ `wc -l < $logfile` -gt 0 ]]
+then
+ echo "logfile contains entries"
+ cat $logfile
+ $ERROR "dir_exclude_mtime option does not work"
+fi
+
+if ! $BINdflt st -ostop_change=true -odir_exclude_mtime=true
+then
+ $ERROR "stop_change returns true in conjunction with dir_exclude_mtime"
+fi
+
+$SUCCESS "dir_exclude checks ok."
+
+$PREPARE_DEFAULT > /dev/null
+cd $WC
 
 $INFO "Testing color output."

« Previous message in topic | 1 of 1 | Next message in topic »

Messages

Show all messages in topic

svn commit: r2433 - branches/fsvs-1.2.x/fsvs/tests/034_status tekknokrat Gunnar Thielebein 2010-03-09 17:24:47 PST
Messages per page: